#include "sys.h"
#include "uart.h"
#include "iot.h"
#include <string.h>

uint8_t sysLog = 1;																																	// ϵͳϢ

extern UART_HandleTypeDef huart1;
extern UART_HandleTypeDef huart2;
extern TIM_HandleTypeDef htim3;			

#define exhuart huart2
#define iothuart huart1

void sysInit(void)
{
	char sysStartStr[] = "ML302 TCP_V1.0.01\r\n";																			// 汾	
	
	HAL_TIM_Base_Start_IT(&htim3);																										// ʱ3, ʱͼʱ
	HAL_UART_Receive_IT(&exhuart, (uint8_t*)&exUART_Buf[exUART_RxNum], 1);						// ⲿڽжϣַܵexUART_BufexUART_RxNumλ
	HAL_UART_Receive_IT(&iothuart, (uint8_t*)&iotUART_Buf[iotUART_RxNum], 1);					// iotڽжϣַܵiotUART_BufiotUART_RxNumλ
	
	exUART_SendCharStr(sysStartStr);
	HAL_Delay(100);
	
	IOT_Init();																																				// ģʼ
}

uint8_t doncmp(uint8_t *UART_Buf, const char *AT_Buf, uint8_t len)									// ȽǷһȫһ1һ0
{
	uint8_t i;
	
	for(i=0; i<len; i++)
	{
		if(UART_Buf[i] != AT_Buf[i])
		{
			return 0;
		}
	}
	
	return 1;
}
